Skip to content
You're viewing documentation for v2026.11.11-beta. It may be out of date.Go to latest
TimescaleDB Enterprise
Esc
↑↓navigate↵open⌘Jpreview

Rolling-restart the cluster

Rolling-restart the Patroni cluster.

POST/api/v1/database-services/{id}/patroni/rolling-restart
Authorization
tse_sessionAPI key · cookierequired
Path parameters
idstringrequired
Responses
200

OK

errorstring
extensions_errorstring
extensions_workflow_idstring
messagestring
statusstringrequired
Allowed:okerror
default

Error

codestring

Stable code of the refusal, when the route has codes

detailsstring[]

Additional detail, e.g. per-field validation failures

errorstringrequired

Human-readable error message

Request
curl -X POST 'https://console.example.com/api/v1/database-services/string/patroni/rolling-restart' \
  -H 'Cookie: tse_session=YOUR_API_KEY' \
  -H 'Accept: application/json'
Response
{
  "error": "string",
  "extensions_error": "string",
  "extensions_workflow_id": "string",
  "message": "string",
  "status": "ok"
}